%define up_name		Aegisub

%define rel		13

%define date		20191006

%if %{date}
%define release		%mkrel 14.git%{date}.%{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		6f546951b4f004da16ce19ba638bf3eedefb9f31
%else
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

Name:		aegisub
Version:	3.2.2
Release:	%mkrel 12
Summary:	Advanced Subtitle Editor
Group:		Video
License:	BSD
URL:		http://www.aegisub.org/
Source0:	https://github.com/Aegisub/Aegisub/archive/%{tarballdir}/%{up_name}-%{version}%{?tarballgit}.tar.gz
### Only needed if using a git snapshot (git_version.h)
Source1:	git_version.h
# From https://github.com/Aegisub/Aegisub/pull/134
Patch1:		0001-Fix-deprecated-calls-to-wxSTC.patch
Patch10:	aegisub-fix-makefile-for-make4.3.patch
Patch50:	aegisub-3.2.2+git20191006-fix-system-luajit-build.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	boost-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	luajit >= 2.1.0-0.beta3.3
BuildRequires:	wxgtk-devel

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%setup -q -n %{up_name}-%{tarballver}
%apply_patches

### Only needed if using a git snapshot (git_version.h)
cp %{SOURCE1} build/

### Build with system luajit
rm -rf vendor/luajit

### Fix build with luajit >= 2.1.0
sed -i -e 's,luaL_reg ,luaL_Reg ,g' vendor/luabins/src/luabins.c libaegisub/lua/modules/lpeg.c

%build
NOCONFIGURE=1 ./autogen.sh
export CXXFLAGS="%{optflags} -Wno-deprecated-declarations"
%configure2_5x \
		--without-oss \
		--without-openal \
		--with-system-luajit \
		--with-player-audio=PulseAudio \
		--with-wx-config=wx-config \
		--with-build-credit="PCLinuxOS" \
		--with-boost-libdir=%{_libdir} \
		--disable-update-checker
%make_build

%install
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop


%files
%{_bindir}
%{_datadir}


%changelog
* Tue Mar 28 2023 tex - 3.2.2-12pclos2023
- rebuild against updates

* Sat Sep 17 2022 tex - 3.2.2-11pclos2022
- rebuild against updates

* Tue Sep 13 2022 tex - 3.2.2-10pclos2022
- rebuild against updates

* Mon Sep 27 2021 tex - 3.2.2-9pclos2021
- rebuild for new boost
